---
title: MediaList
slug: Web/API/MediaList
tags:
  - API
  - CSSOM
  - Interface
  - MediaList
  - Reference
---
<div>{{APIRef("CSSOM")}}</div>

<p>The <code><strong>MediaList</strong></code> interface represents the media queries of a stylesheet, e.g. those set using a {{htmlelement("link")}} element's <code>media</code> attribute.</p>

<div class="notecard note">
<p><span class="message-body-wrapper"><span class="message-flex-body"><span class="devtools-monospace message-body"><span class="objectBox objectBox-string"><strong>Note</strong>: <code>MediaList</code> is a live list; updating the list using properties or methods listed below will immediately update the behavior of the document.</span></span></span></span></p>
</div>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("MediaList.mediaText")}}</dt>
 <dd>A stringifier that returns a {{domxref("DOMString")}} representing the <code>MediaList</code> as text, and also allows you to set a new <code>MediaList</code>.</dd>
 <dt>{{domxref("MediaList.length")}} {{readonlyInline}}</dt>
 <dd>Returns the number of media queries in the <code>MediaList</code>.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref("MediaList.appendMedium()")}}</dt>
 <dd>Adds a media query to the <code>MediaList</code>.</dd>
 <dt>{{domxref("MediaList.deleteMedium()")}}</dt>
 <dd>Removes a media query from the <code>MediaList</code>.</dd>
 <dt>{{domxref("MediaList.item()")}}</dt>
 <dd>A getter that returns a {{domxref("CSSOMString")}} representing a media query as text, given the media query's index value inside the <code>MediaList</code>.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>The following would log to the console a textual representation of the <code>MediaList</code> of the first stylesheet applied to the current document.</p>

<pre class="brush: css">const stylesheets = document.styleSheets;
let stylesheet = stylesheets[0];
console.log(stylesheet.media.mediaText);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSSOM', '#the-medialist-interface', 'MediaList')}}</td>
   <td>{{Spec2('CSSOM')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaList")}}</p>
